## org.eclipse.amp.amf.testing.ide
Class TestRunSet

    java.lang.Object
      org.eclipse.amp.amf.testing.ide.TestRunSet

    public class TestRunSet

extends java.lang.Object

Field Summary
`static org.eclipse.core.runtime.IPath` `RESULTS_FOLDER`

Constructor Summary
`TestRunSet(org.eclipse.core.resources.IProject project, org.eclipse.core.resources.IResource res, java.util.List<org.eclipse.core.resources.IResource> testResources, int runsPerTest)`

Method Summary
`java.util.Map` `getNameToFeatureMap()`
`org.eclipse.emf.ecore.xmi.XMLParserPool` `getParserPool()`
`org.eclipse.emf.ecore.resource.ResourceSet` `getResourceSet()`
`RunSet` `getRunSet()`
`protected void` `initialize()`
`void` `run()`
`void` `runTests(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.MultiStatus status)`
`void` `testComplete(TestRun run, java.lang.Throwable failureCondition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULTS_FOLDER

    public static final org.eclipse.core.runtime.IPath RESULTS_FOLDER

Constructor Detail

### TestRunSet

    public TestRunSet(org.eclipse.core.resources.IProject project,
                      org.eclipse.core.resources.IResource res,
                      java.util.List<org.eclipse.core.resources.IResource> testResources,
                      int runsPerTest)

Method Detail

### initialize

    protected void initialize()

### runTests

    public void runTests(org.eclipse.core.runtime.IProgressMonitor monitor,
                         org.eclipse.core.runtime.MultiStatus status)

### run

    public void run()

### testComplete

    public void testComplete(TestRun run,
                             java.lang.Throwable failureCondition)

  Parameters:
    `thread` -

### getRunSet

    public RunSet getRunSet()

### getParserPool

    public org.eclipse.emf.ecore.xmi.XMLParserPool getParserPool()

### getNameToFeatureMap

    public java.util.Map getNameToFeatureMap()

### getResourceSet

    public org.eclipse.emf.ecore.resource.ResourceSet getResourceSet()